[frogr] Generate the Info-frogr.plist file based on frogr's current version
- From: Mario Sanchez Prada <msanchez src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [frogr] Generate the Info-frogr.plist file based on frogr's current version
- Date: Thu, 20 Dec 2012 07:33:45 +0000 (UTC)
commit d2c38673d2b2ebc6a4621869210d61c6ebdd3f7f
Author: Mario Sanchez Prada <msanchez gnome org>
Date: Wed Dec 19 19:42:09 2012 +0100
Generate the Info-frogr.plist file based on frogr's current version
Just do it manually from the makebundle.sh script
osx/{Info-frogr.plist => Info-frogr.plist.in} | 6 +++---
osx/makebundle.sh | 8 ++++++++
2 files changed, 11 insertions(+), 3 deletions(-)
---
diff --git a/osx/Info-frogr.plist b/osx/Info-frogr.plist.in
similarity index 86%
rename from osx/Info-frogr.plist
rename to osx/Info-frogr.plist.in
index cc2e1ca..9ba0236 100644
--- a/osx/Info-frogr.plist
+++ b/osx/Info-frogr.plist.in
@@ -7,7 +7,7 @@
<key>CFBundleExecutable</key>
<string>frogr</string>
<key>CFBundleGetInfoString</key>
- <string>0.8, (c) 2009-2012 Mario Sanchez Prada, http://live.gnome.org/Frogr</string>
+ <string>@VERSION@, (c) 2009-2012 Mario Sanchez Prada, http://live.gnome.org/Frogr</string>
<key>CFBundleIconFile</key>
<string>frogr.icns</string>
<key>CFBundleIdentifier</key>
@@ -17,9 +17,9 @@
<key>CFBundlePackageType</key>
<string>APPL</string>
<key>CFBundleShortVersionString</key>
- <string>0.8</string>
+ <string>@VERSION@</string>
<key>CFBundleVersion</key>
- <string>0.8</string>
+ <string>@VERSION@</string>
<key>CFBundleSignature</key>
<string>????</string>
<key>NSHumanReadableCopyright</key>
diff --git a/osx/makebundle.sh b/osx/makebundle.sh
index 31ce0a1..04a2ef1 100755
--- a/osx/makebundle.sh
+++ b/osx/makebundle.sh
@@ -34,6 +34,14 @@ if [ -d $BUNDLE_APP ] && $FORCE_REMOVAL; then
fi
if [ ! -d $BUNDLE_APP ]; then
+ echo "Generating Info-frogr.plist..."
+ app_version=$(cat ../configure.ac | grep AC_INIT | cut -d "[" -f 3 | cut -d "]" -f 1)
+ if [ "x$app_version" = "x" ]; then
+ echo "No package version for $app_name was found"
+ exit 1;
+ fi
+ sed -e "s,@VERSION\@,$app_version,g" Info-frogr.plist.in > Info-frogr.plist
+
echo "Creating new $BUNDLE_APP bundle..."
gtk-mac-bundler frogr.bundle
elif $STRIP_DEBUG; then
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]